WSSCP(1)

NAME
wsscp - SCP wrapper with WebSocket ProxyCommand support

SYNOPSIS
wsscp [--help] [--clientid client_id] [--wssshd-host host] [--wssshd-port port] [--debug] [--tunnel transport] [--tunnel-control transport] [--enc encoding] source_file destination

DESCRIPTION
wsscp is an SCP wrapper that automatically configures SCP to use WebSocket tunnels through wsssht with ProxyCommand. It parses the destination specification and constructs the appropriate SCP command with ProxyCommand to establish secure file transfers through WSSSH relays.

OPTIONS

--help
    Show help message and exit.

--clientid client_id
    Specify the client ID of the registered wssshc endpoint.

--wssshd-host host
    Specify the wssshd relay host.

--wssshd-port port
    Specify the wssshd relay websocket port (default: 9898).

--debug
    Enable debug output. When debug is enabled, the SCP command is displayed but not executed.

--tunnel transport
    Select data channel transport (comma-separated or 'any').

--tunnel-control transport
    Select control channel transport (comma-separated or 'any').

--enc encoding
    Data encoding: hex, base64, or bin (default: hex)

DESTINATION FORMAT
The destination specification follows the format:

user[@[clientid][.[wssshd-host]][:[remote_path]]]

Where:

    user
        SCP username

    clientid
        Client ID of the registered wssshc endpoint

    wssshd-host
        wssshd relay hostname

    remote_path
        Remote file path on the target system

EXAMPLES

Copy file to myclient:
    wsscp localfile user@myclient:/remote/path

Copy file with specific relay host:
    wsscp localfile user@myclient.server.com:/remote/path

Copy file with custom port:
    wsscp -P 2222 localfile user@myclient.server.com:/remote/path

Enable debug output:
    wsscp --debug localfile user@myclient.server.com:/remote/path

Specify transport:
    wsscp --tunnel websocket localfile user@myclient.server.com:/remote/path

Pass additional SCP options:
    wsscp localfile user@myclient.server.com:/remote/path -P 2222 -o StrictHostKeyChecking=no

ENVIRONMENT
wsscp requires wsssht to be available either in PATH or in the same directory as wsscp.

SEE ALSO
wsssht(1), wssshc(1), wsssh(1), scp(1)

AUTHOR
Written by Stefy Lanza <stefy@nexlab.net> and SexHack.me

COPYRIGHT
Copyright © 2024 Stefy Lanza <stefy@nexlab.net> and SexHack.me
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

BUGS
Report bugs to <stefy@nexlab.net>